crashpad::test::DisabledTestGtestEnvironment Class Referencefinal

Provides support for dynamically disabled gtest tests. More...

`#include "test/gtest_disabled.h"`

Inheritance diagram for crashpad::test::DisabledTestGtestEnvironment:

## Public Member Functions

void | DisabledTest ()
| Displays a message about a test being disabled, and arranges for this information to be duplicated in TearDown(). More...

## Static Public Member Functions

static DisabledTestGtestEnvironment * | Get ()
| Returns the DisabledTestGtestEnvironment singleton instance, creating it if necessary.

## Detailed Description

Provides support for dynamically disabled gtest tests.

A test runner must register this with gtest as follows prior to calling `RUN_ALL_TESTS()`:

testing::AddGlobalTestEnvironment(
crashpad::test::DisabledTestGtestEnvironment::Get());

## Member Function Documentation

## DisabledTest()

void crashpad::test::DisabledTestGtestEnvironment::DisabledTest | ( |  | ) |

Displays a message about a test being disabled, and arranges for this information to be duplicated in TearDown().

This method is for the internal use of the DISABLED_TEST() macro. Do not call it directly, use the macro instead.

The documentation for this class was generated from the following files:

- test/gtest_disabled.h
- test/gtest_disabled.cc